/* K2 item export */
INSERT IGNORE INTO `#__csvi_availablefields` (`csvi_name`, `component_name`, `component_table`, `component`, `action`) VALUES
('custom', 'custom', 'item', 'com_k2', 'export'),
('category_path', 'category_path', 'item', 'com_k2', 'export'),
('image', 'image', 'item', 'com_k2', 'export'),
('item_url', 'item_url', 'item', 'com_k2', 'export'),
('image_url', 'image_url', 'item', 'com_k2', 'export'),
('image_url_thumb', 'image_url_thumb', 'item', 'com_k2', 'export'),
('metadata_robot', 'metadata_robot', 'item', 'com_k2', 'export'),
('metadata_author', 'metadata_author', 'item', 'com_k2', 'export'),
('tags', 'tags', 'item', 'com_k2', 'export'),
('attachments_filename', 'attachments_filename', 'item', 'com_k2', 'export'),
('attachments_title', 'attachments_title', 'item', 'com_k2', 'export'),
('attachments_titleAttribute', 'attachments_titleAttribute', 'item', 'com_k2', 'export'),
('attachments_hits', 'attachments_hits', 'item', 'com_k2', 'export'),
('created_by_name', 'created_by_name', 'item', 'com_k2', 'export'),
('modified_by_name', 'modified_by_name', 'item', 'com_k2', 'export'),
('checked_out_name', 'checked_out_name', 'item', 'com_k2', 'export'),

/* K2 item import */
('skip', 'skip', 'item', 'com_k2', 'import'),
('combine', 'combine', 'item', 'com_k2', 'import'),
('image', 'image', 'item', 'com_k2', 'import'),
('category_path', 'category_path', 'item', 'com_k2', 'import'),
('metadata_robot', 'metadata_robot', 'item', 'com_k2', 'import'),
('metadata_author', 'metadata_author', 'item', 'com_k2', 'import'),
('tags', 'tags', 'item', 'com_k2', 'import'),

/* K2 category export */
('custom', 'custom', 'category', 'com_k2', 'export'),
('category_path', 'category_path', 'category', 'com_k2', 'export'),
('parent_category_path', 'parent_category_path', 'category', 'com_k2', 'export'),
('inheritFrom', 'inheritFrom', 'category', 'com_k2', 'export'),
('theme', 'theme', 'category', 'com_k2', 'export'),

/* K2 category import */
('skip', 'skip', 'category', 'com_k2', 'import'),
('combine', 'combine', 'category', 'com_k2', 'import'),
('category_path', 'category_path', 'category', 'com_k2', 'import'),
('category_delete', 'category_delete', 'category', 'com_k2', 'import'),
('inheritFrom', 'inheritFrom', 'category', 'com_k2', 'import'),
('theme', 'theme', 'category', 'com_k2', 'import'),

/* K2 extra fields export */
('custom', 'custom', 'extrafield', 'com_k2', 'export'),
('option_name', 'option_name', 'extrafield', 'com_k2', 'export'),
('option_value', 'option_value', 'extrafield', 'com_k2', 'export'),
('option_target', 'option_target', 'extrafield', 'com_k2', 'export'),
('option_editor', 'option_editor', 'extrafield', 'com_k2', 'export'),
('option_rows', 'option_rows', 'extrafield', 'com_k2', 'export'),
('option_cols', 'option_cols', 'extrafield', 'com_k2', 'export'),
('alias', 'alias', 'extrafield', 'com_k2', 'export'),
('required', 'required', 'extrafield', 'com_k2', 'export'),
('showNull', 'showNull', 'extrafield', 'com_k2', 'export'),
('displayInFrontEnd', 'displayInFrontEnd', 'extrafield', 'com_k2', 'export'),
('group_name', 'group_name', 'extrafield', 'com_k2', 'export'),

/* K2 extra fields import */
('skip', 'skip', 'extrafield', 'com_k2', 'import'),
('combine', 'combine', 'extrafield', 'com_k2', 'import'),
('option_name', 'option_name', 'extrafield', 'com_k2', 'import'),
('option_value', 'option_value', 'extrafield', 'com_k2', 'import'),
('option_target', 'option_target', 'extrafield', 'com_k2', 'import'),
('option_editor', 'option_editor', 'extrafield', 'com_k2', 'import'),
('option_rows', 'option_rows', 'extrafield', 'com_k2', 'import'),
('option_cols', 'option_cols', 'extrafield', 'com_k2', 'import'),
('alias', 'alias', 'extrafield', 'com_k2', 'import'),
('required', 'required', 'extrafield', 'com_k2', 'import'),
('showNull', 'showNull', 'extrafield', 'com_k2', 'import'),
('displayInFrontEnd', 'displayInFrontEnd', 'extrafield', 'com_k2', 'import'),
('group_name', 'group_name', 'extrafield', 'com_k2', 'import');

INSERT IGNORE INTO `#__csvi_availablefields` (csvi_name, component_name, component_table, component, action)
	(SELECT TRIM(CONCAT(`g`.`name`, '_', `x`.`name`)), TRIM(CONCAT(`g`.`name`, '_', `x`.`name`)), 'item', 'com_k2', 'import'
	 FROM `#__k2_extra_fields` as `x`
	 LEFT JOIN `#__k2_extra_fields_groups` as `g`
			 on `g`.`id` = `x`.`group`
	);

INSERT IGNORE INTO `#__csvi_availablefields` (csvi_name, component_name, component_table, component, action)
	(SELECT TRIM(CONCAT(`g`.`name`, '_', `x`.`name`)), TRIM(CONCAT(`g`.`name`, '_', `x`.`name`)), 'item', 'com_k2', 'export'
	 FROM `#__k2_extra_fields` as `x`
		 LEFT JOIN `#__k2_extra_fields_groups` as `g`
			 on `g`.`id` = `x`.`group`
	);
